新手问题 微信开发者工具 Linux 版

pynix · 2016年06月21日 · 最后由 pynix 回复于 2016年12月31日 · 12878 次阅读

微信搞了个开发者工具,看了一下只有 windows 版和 mac 版。

开发机是 ubuntu,两个电脑只有一套键鼠,换来换去不方便,看了一下安装目录,原来是 nw.js 做的,这玩意,跨平台啊,腾讯不知道对 linux 有什么成见,没给 linux 打包。

既然跨平台就 package.nw 拷贝到 linux 试试看。

下载 nw.js sdk 版,因为需要 devtool 的支援

运行一下,果然工作了,不用换来换去了。。。。再次感谢 nw.js

package.nw 解压到 nw-sdk 根目录,然后 ./nw

-1 赞是咋做到的...

不好意思 我来搞破坏了 所以他变成-1 了 没有恶意, 只是想测试一下

可以写个详细点的😘

#4 楼 @a4652097 就是把应用目录拷贝到 linux,然后用 linux 的 nw 运行时来运行。。。。

@pynix 谢谢你的教程, 已经跑起来了!

$ wget -c http://dl.nwjs.io/v0.15.3/nwjs-sdk-v0.15.3-linux-x64.tar.gz
$ ls
nwjs-sdk-v0.15.3-linux-x64.tar.gz package.nw.zip
$ tar -zxvf nwjs-sdk-v0.15.3-linux-x64.tar.gz
$ unzip package.nw.zip
$ mv package.nw/* nwjs-sdk-v0.15.3-linux-x64
$ cd nwjs-sdk-v0.15.3-linux-x64/
$ ./nw

# 即可启动

👍

#6 楼 @pynix 谢谢 nico 成功了😚

#9 楼 @a4652097 这个头像貌似很难看出是 nico

#10 楼 @pynix 不难啊。很明显

13楼 已删除

百度云链接失效了,自己到 windows 下面解压吧。。。。

@pynix 请问大神有没有配置最新版 0.11,我按照你的方法在 linux mint 18 cinnamon 下出现错误,ERROR:browser_plugin_guest.cc(440)] Attempting to require callback on nonexistent surface。当然现在微信小程序和微信 web 开发这工具是合二为一的,web 工具可用,但是小程序工具出上述错误,结果是预览无法进行。如能帮忙解决,不胜感激。谢谢

#15 楼 @jerry79 小程序无解。。。

各位 大神, package.nw.zip 怎么来的

#17 楼 @ycv windows 安装打包。。来的。。。。。。。

#15 楼 @jerry79 小程序需要编译器,貌似是 exe,没有给 linux 构建。。。。。。。

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册